[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'unicodedata' (#rtl)

# TUCA_PropItemContextTreeNodeRec

Internal tree node structure for sorted storage of unicode collation data.

## Declaration

Source position: unicodedata.pas line 328

`type TUCA_PropItemContextTreeNodeRec = packed record`
`public`
`Left: Word;` |  | Offset of left branch of the tree
`Right: Word;` |  | Offset of right branch of the tree
`Data: TUCA_PropItemContextRec;` |  | Data for this node.
`function GetLeftNode;` |  | Access to left tree node data
`function GetRightNode;` |  | Access to right tree node data
``
`end;`

## Description

This is an internal structure for the tree which should not be used directly, the actual structure is subject to change.

## See also

TUCA_PropItemContextTreeRec |  | Internal tree structure for sorted storage of unicode collation data